pcl::detail::AccumulatorCurvature Struct Reference

`#include <pcl/common/impl/accumulators.hpp>`

## Public Types

using | IsCompatible = pcl::traits::has_curvature< boost::mpl::_1 >

## Public Member Functions

template<typename PointT >
void | add (const PointT &t)
template<typename PointT >
void | get (PointT &t, std::size_t n) const

## Public Attributes

float | curvature = 0

## Detailed Description

Definition at line 118 of file accumulators.hpp.

## Member Typedef Documentation

## IsCompatible

using pcl::detail::AccumulatorCurvature::IsCompatible = pcl::traits::has_curvature<boost::mpl::_1>

Definition at line 122 of file accumulators.hpp.

## Member Function Documentation

## add()

template<typename PointT >

void pcl::detail::AccumulatorCurvature::add | ( | const PointT & | t | ) |

inline

Definition at line 128 of file accumulators.hpp.

References curvature.

## get()

template<typename PointT >

void pcl::detail::AccumulatorCurvature::get | ( | PointT & | t,
|  | std::size_t | n
| ) |  | const

inline

Definition at line 131 of file accumulators.hpp.

References curvature.

## Member Data Documentation

## curvature

float pcl::detail::AccumulatorCurvature::curvature = 0

Definition at line 125 of file accumulators.hpp.

Referenced by add(), and get().

The documentation for this struct was generated from the following file:

- pcl/common/impl/accumulators.hpp